Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.dto
Class UserWrapper

    java.lang.Object
      com.jaspersoft.jasperserver.war.dto.BaseDTO
          com.jaspersoft.jasperserver.war.dto.UserWrapper

All Implemented Interfaces:
  java.io.Serializable

    public class UserWrapper

extends BaseDTO

Version:
  $Id
Author:
  Ionut Nedelcu (ionutned@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.jaspersoft.jasperserver.war.dto.BaseDTO
`MODE_STAND_ALONE_EDIT, MODE_STAND_ALONE_NEW, MODE_SUB_FLOW_EDIT, MODE_SUB_FLOW_NEW`

Constructor Summary
`UserWrapper()`

Method Summary
`java.util.List` | `getAssignedRoles()`
`java.util.List` | `getAvailableRoles()`
`java.lang.String` | `getConfirmedPassword()`
`java.lang.Object` | `getSelectedAssignedRoles()`
`java.lang.Object` | `getSelectedAvailableRoles()`
`User` | `getUser()`
`void` | `setAssignedRoles(java.util.List assignedRoles)`
`void` | `setAvailableRoles(java.util.List availableRoles)`
`void` | `setConfirmedPassword(java.lang.String confirmedPassword)`
`void` | `setSelectedAssignedRoles(java.lang.Object selectedAssignedRoles)`
`void` | `setSelectedAvailableRoles(java.lang.Object selectedAvailableRoles)`
`void` | `setUser(User user)`

Methods inherited from class com.jaspersoft.jasperserver.war.dto.BaseDTO
`getMode, isAloneEditMode, isAloneNewMode, isEditMode, isNewMode, isStandAloneMode, isSubEditMode, isSubflowMode, isSubNewMode, setMode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserWrapper

    public UserWrapper()

Method Detail

### getAssignedRoles

    public java.util.List getAssignedRoles()

### setAssignedRoles

    public void setAssignedRoles(java.util.List assignedRoles)

### getAvailableRoles

    public java.util.List getAvailableRoles()

### setAvailableRoles

    public void setAvailableRoles(java.util.List availableRoles)

### getSelectedAssignedRoles

    public java.lang.Object getSelectedAssignedRoles()

### setSelectedAssignedRoles

    public void setSelectedAssignedRoles(java.lang.Object selectedAssignedRoles)

### getSelectedAvailableRoles

    public java.lang.Object getSelectedAvailableRoles()

### setSelectedAvailableRoles

    public void setSelectedAvailableRoles(java.lang.Object selectedAvailableRoles)

### getUser

    public User getUser()

### setUser

    public void setUser(User user)

### getConfirmedPassword

    public java.lang.String getConfirmedPassword()

### setConfirmedPassword

    public void setConfirmedPassword(java.lang.String confirmedPassword)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.